import { Context, Generator as GeneratorBase } from '@fresha/openapi-codegen-utils';
import type { ParametrisedURLString } from '@fresha/api-tools-core/build/types';
import type { PathItemOperationKey, SchemaModel } from '@fresha/openapi-model/build/3.0.3';
type ResourceUsage = {
    url: ParametrisedURLString;
    httpMethod: PathItemOperationKey;
    inRequest?: 'data' | 'include';
    inResponse?: 'data' | 'include';
};
export declare class Generator extends GeneratorBase<Context> {
    readonly schemaToName: Map<SchemaModel, string>;
    readonly schemaToType: Map<SchemaModel, string>;
    readonly resourceUsage: Map<string, ResourceUsage[]>;
    constructor(context: Context);
    protected collectData(): void;
    private addUsage;
    protected generateCode(): void;
}
export {};
//# sourceMappingURL=Generator.d.ts.map